org.richfaces.model.iterators

## Class IterableDataTuplesIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<org.richfaces.model.TreeDataModelTuple>
  - - org.richfaces.model.iterators.BaseTupleIterator
    - - org.richfaces.model.iterators.IterableDataTuplesIterator

- All Implemented Interfaces:
    Iterator<org.richfaces.model.TreeDataModelTuple>

      public class IterableDataTuplesIterator
      extends BaseTupleIterator

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IterableDataTuplesIterator(org.richfaces.model.SequenceRowKey baseKey, Iterator<?> children)`
    `IterableDataTuplesIterator(org.richfaces.model.SequenceRowKey baseKey, Iterator<?> children, javax.faces.component.UIComponent component)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `protected void` | `proceedToNext()`

    - ### Methods inherited from class org.richfaces.model.iterators.BaseTupleIterator

      `createTuple, getBaseKey, getComponent, getCompositeKey, getKey, getWrappedKey, next, setKeyAndData`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IterableDataTuplesIterator

          public IterableDataTuplesIterator(org.richfaces.model.SequenceRowKey baseKey,
                                    Iterator<?> children)

    - #### IterableDataTuplesIterator

          public IterableDataTuplesIterator(org.richfaces.model.SequenceRowKey baseKey,
                                    Iterator<?> children,
                                    javax.faces.component.UIComponent component)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

    - #### proceedToNext

          protected void proceedToNext()

      Specified by:
        `proceedToNext` in class `BaseTupleIterator`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.